#### Previous topic

scipy.cluster.hierarchy.median

#### Next topic

scipy.cluster.hierarchy.cophenet

# scipy.cluster.hierarchy.ward

`scipy.cluster.hierarchy.``ward`(y)

  Performs Ward’s linkage on a condensed distance matrix.

  See `linkage` for more information on the return structure and algorithm.

  The following are common calling conventions:

  1. `Z = ward(y)` Performs Ward’s linkage on the condensed distance matrix `y`.
  2. `Z = ward(X)` Performs Ward’s linkage on the observation matrix `X` using Euclidean distance as the distance metric.

  Parameters:

  y : ndarray

  > A condensed distance matrix. A condensed distance matrix is a flat array containing the upper triangular of the distance matrix. This is the form that `pdist` returns. Alternatively, a collection of m observation vectors in n dimensions may be passed as a m by n array.

  Returns:

  Z : ndarray

  > The hierarchical clustering encoded as a linkage matrix. See `linkage` for more information on the return structure and algorithm.

  See also

  `linkage`
    for advanced creation of hierarchical clusterings.
  `scipy.spatial.distance.pdist`
    pairwise distance metrics